Bold VideoDocs

Search

Search public video content

GET
/api/v1/search

Authorization

api_token
AuthorizationBearer <token>

API token provided by BOLD Admin

In: header

Query Parameters

query?string

Search query

page?integer

Page number (default: 1)

per_page?integer

Results per page (default: 10)

speakers?string

Comma-separated speaker labels

collection_id?string

Filter by a single collection UUID

collection_ids?array<string>

Filter by multiple collection UUIDs (OR semantics). Supports repeated query params and comma-separated values.

published_after?string

Only include content published after this ISO 8601 timestamp

published_before?string

Only include content published before this ISO 8601 timestamp

sort?string

Meilisearch sort expression, such as published_at:desc

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://app.boldvideo.io/api/v1/search"
{
  "hits": [
    {
      "document_type": "transcript",
      "duration_ms": 5000,
      "id": "550e8400-e29b-41d4-a716-446655440000_1_5000-10000",
      "speaker": "Speaker 1",
      "text": "The first step is to connect your account...",
      "timestamp_end_ms": 10000,
      "timestamp_start_ms": 5000,
      "title": "Getting Started",
      "video_id": "550e8400-e29b-41d4-a716-446655440000"
    }
  ],
  "page": 1,
  "per_page": 10,
  "processing_time_ms": 4,
  "total_hits": 1
}
{
  "details": null,
  "error": "Search failed"
}
{
  "error": "Unauthorized",
  "status": 401,
  "timestamp": "2026-04-25 04:00:00Z"
}
{
  "code": "not_found",
  "message": "Video not found",
  "retryable": false,
  "type": "error"
}